2018-12-12 19:13 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000156Branch 0.2.1-FINALBugpublic2016-11-23 10:06
ReporterQuix0r 
Assigned ToQuix0r 
PriorityimmediateSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000156: Einloggen als Admin nicht moeglich
DescriptionDerzeit ist der Login zum Adminbereich nicht moeglich. Es sollten dringenst alle eingesetzten Funktionen einem Refacturing unterzogen werden und dabei neue geschaffen werden, um den Code mehr zu kapseln. Dabei soll wie folgt vorgegangen werden:

- Sondierung aller betroffenen Funktionen
- Diese alle leeren und neuschreiben
- Dabei auch das Filter-System mehr einsetzen und Kapselung einhalten
- Abhaengigkeit zur ext-other pruefen und in ext-sql_patches verlagern
- Eventuell auch das Anlegen von Admin-Logins mit ins Refacturing einbeziehen

Anschliessend soll folgendes durchgetestet werden:
- Nach Installation und Einrichtung des ersten Admin-Logins, diesen testen
- Nach Installation/Deinstallation der Erweiterung sql_patches das Einloggen testen
- Nach Editierung (ext-admins) des Admin-Logins diesen testen
Additional InformationNur mit installierter Erweiterung ext-sql_patches ist kein Admin-Login moeglich. Es kommt der Hinweis "Falsches Passwort", was natuerlich nicht stimmt. Der Fehler ist wahrscheinlich in der Validierungsfunktion ifAdminCookiesAreValid(), ifAdminLoginDataIsValid() vielleicht aber auch in doAdminLogin() zu suchen, vielleicht aber auch in den anderen verwendeten Funktionen wie generatePassString() und getAdminHash().

Es sollten daher die Funktionen doAdminLogin(), ifAdminLoginDataIsValid(), ifAdminCookiesAreValid() und generatePassString() umgebaut werden und neue (private) geschaffen werden.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000419

Quix0r (administrator)

Mit naechsten Commit wird ein Rewrite auf Filter dabei sein. Zudem scheint die Parameterliste fuer unregisterFilter() geaendert zu sein. Es wurden entsprechend Filter nicht deregistriert.

~0000425

Quix0r (administrator)

Sollte mit Revision 1658 gefixt sein.

~0000427

Quix0r (administrator)

Nur wenn ext-other nicht installiert war, wegen des erweiterten Hashens, klappte dies. Mit ext-other leider wieder nicht. Beim Reset des Passworts wird jedoch ein erweiteter Hash gesetzt.

~0000428

Quix0r (administrator)

Revision 1660 sollte nun finale Fixe dazu beinhalten. Allerdings muessen die Filter aus der Kette 'init' neu gesetzt werden. Fuehrt dazu einfach folgenden SQL-Befehl z.B. per phpMyAdmin aus:

DELETE LOW_PRIORITY FROM `mxchange_filters` WHERE `filter_name` = 'init'

~0000429

Quix0r (administrator)

Last edited: 2009-12-15 23:41

Auch hilfreich ist das Benutzen der Zuruecksetzfunktion "Passwort vergessen?". Beispiellink:

http://www.foo-domain.example/modules.php?module=admin&reset_pass=1

~0000654

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-03 02:04 Quix0r New Issue
2009-12-03 02:08 Quix0r Projection none => redesign
2009-12-03 02:08 Quix0r ETA none => < 1 day
2009-12-03 02:08 Quix0r Description Updated
2009-12-03 02:08 Quix0r Additional Information Updated
2009-12-15 13:02 Quix0r Additional Information Updated
2009-12-15 13:02 Quix0r Status new => assigned
2009-12-15 13:02 Quix0r Assigned To => Quix0r
2009-12-15 13:05 Quix0r Additional Information Updated
2009-12-15 13:29 Quix0r Summary EInloggen als Admin nicht moeglich => Einloggen als Admin nicht moeglich
2009-12-15 15:34 Quix0r Note Added: 0000419
2009-12-15 18:48 Quix0r Note Added: 0000425
2009-12-15 18:48 Quix0r Status assigned => resolved
2009-12-15 18:48 Quix0r Fixed in Version => 0.2.1-FINAL
2009-12-15 18:48 Quix0r Resolution open => fixed
2009-12-15 21:21 Quix0r Note Added: 0000427
2009-12-15 21:21 Quix0r Status resolved => feedback
2009-12-15 21:21 Quix0r Resolution fixed => reopened
2009-12-15 23:38 Quix0r Note Added: 0000428
2009-12-15 23:38 Quix0r Status feedback => resolved
2009-12-15 23:38 Quix0r Resolution reopened => fixed
2009-12-15 23:41 Quix0r Note Added: 0000429
2009-12-15 23:41 Quix0r Note Edited: 0000429
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:39 Quix0r Product Version => 0.2.1-FINAL
2012-07-04 06:30 Quix0r Description Updated View Revisions
2016-11-23 10:06 Quix0r Status resolved => closed
2016-11-23 10:06 Quix0r Note Added: 0000654
+Issue History